Modify

Opened 6 years ago

Closed 4 years ago

#3971 closed defect (worksforme)

Error when going on "TicketStats"

Reported by: anonymous Owned by: echo0101
Priority: normal Component: TracTicketStatsPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.10

Description (last modified by rjollos)

I got this when I try to go in TicketStats section:

Trac detected an internal error:

ValueError: need more than 1 value to unpack

Otherwise, please

How to Reproduce =

While doing a GET operation on /ticketstats, Trac issued an internal error. (please provide additional details here) User Agent was: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3 (.NET CLR 3.5.30729)

System Information

Trac 0.11.1 Python 2.5.1 (r251:54863, Jul 31 2008, 22:53:39)
[GCC 4.1.2 (Ubuntu 4.1.2-0ubuntu4)]
setuptools 0.6c5 SQLite 3.3.13 pysqlite 2.3.2 Genshi 0.5.1 Subversion 1.4.3 (r23084) jQuery: 1.2.6

Python Traceback

Traceback (most recent call last): File "/usr/lib/python2.5/site-
packages/Trac-0.11.1-py2.5.egg/trac/web/main.py", line 423, in
_dispatch_request dispatcher.dispatch(req) File "/usr/lib/python2.5
/site-packages/Trac-0.11.1-py2.5.egg/trac/web/main.py", line 173, in
dispatch chosen_handler) File "/usr/lib/python2.5/site-
packages/Trac-0.11.1-py2.5.egg/trac/web/main.py", line 286, in
_pre_process_request chosen_handler = filter_.pre_process_request(req,
chosen_handler) File
"build/bdist.linux-i686/egg/announcerplugin/subscribers/watchers.py",
line 142, in pre_process_request realm, _ = path.split('/', 1)
ValueError: need more than 1 value to unpack
Python Traceback
Most recent call last:

    * File "/usr/lib/python2.5/site-packages/Trac-0.11.1-py2.5.egg/trac/web/main.py", line 423, in _dispatch_request
      Code fragment:
       418. try:
       419. if not env and env_error:
       420. raise HTTPInternalError(env_error)
       421. try:
       422. dispatcher = RequestDispatcher(env)
       423. dispatcher.dispatch(req)
       424. except RequestDone:
       425. pass
       426. resp = req._response or []
       427.  
       428. except HTTPException, e:
      Local variables:
      Name	Value
      after 	[u' except RequestDone:', u' pass', u' resp = ...
      before 	[u' try:', u' if not env and env_error:', u' raise ...
      dispatcher 	<trac.web.main.RequestDispatcher object at 0x866d02c>
      e 	ValueError('need more than 1 value to unpack',)
      env 	<trac.env.Environment object at 0x82a2ccc>
      env_error 	None
      exc_info 	(<type 'exceptions.ValueError'>, ValueError('need more than 1 value to ...
      filename 	'/usr/lib/python2.5/site-packages/Trac-0.11.1-py2.5.egg/trac/web/main.py'
      frames 	[{'function': '_dispatch_request', 'lines_before': [u' try:', u' ...
      has_admin 	True
      line 	u' dispatcher.dispatch(req)'
      lineno 	422
      message 	u'ValueError: need more than 1 value to unpack'
      req 	<Request "GET u'/ticketstats'">
      resp 	[]
      tb 	<traceback object at 0x88a3054>
      tb_hide 	None
      traceback 	'Traceback (most recent call last):\n File ...
    * File "/usr/lib/python2.5/site-packages/Trac-0.11.1-py2.5.egg/trac/web/main.py", line 173, in dispatch
      Code fragment:
       168. if not req.path_info or req.path_info == '/':
       169. chosen_handler = self.default_handler
       170. # pre-process any incoming request, whether a handler
       171. # was found or not
       172. chosen_handler = self._pre_process_request(req,
       173. chosen_handler)
       174. except TracError, e:
       175. raise HTTPInternalError(e)
       176. if not chosen_handler:
       177. raise HTTPNotFound('No handler matched request to %s',
       178. req.path_info)
      Local variables:
      Name	Value
      chosen_handler 	<ticketstats.ticketstats.TicketStatsPlugin object at 0x866d9cc>
      chrome 	<trac.web.chrome.Chrome object at 0x86625ec>
      err 	(<type 'exceptions.ValueError'>, ValueError('need more than 1 value to ...
      handler 	<ticketstats.ticketstats.TicketStatsPlugin object at 0x866d9cc>
      req 	<Request "GET u'/ticketstats'">
      self 	<trac.web.main.RequestDispatcher object at 0x866d02c>
    * File "/usr/lib/python2.5/site-packages/Trac-0.11.1-py2.5.egg/trac/web/main.py", line 286, in _pre_process_request
      Code fragment:
       281. req.outcookie['trac_form_token']['path'] = req.base_path or '/'
       282. return req.outcookie['trac_form_token'].value
       283.  
       284. def _pre_process_request(self, req, chosen_handler):
       285. for filter_ in self.filters:
       286. chosen_handler = filter_.pre_process_request(req, chosen_handler)
       287. return chosen_handler
       288.  
       289. def _post_process_request(self, req, *args):
       290. nbargs = len(args)
       291. resp = args
      Local variables:
      Name	Value
      chosen_handler 	<ticketstats.ticketstats.TicketStatsPlugin object at 0x866d9cc>
      filter_ 	<announcerplugin.subscribers.watchers.WatchSubscriber object at 0x866daac>
      req 	<Request "GET u'/ticketstats'">
      self 	<trac.web.main.RequestDispatcher object at 0x866d02c>
    * File "build/bdist.linux-i686/egg/announcerplugin/subscribers/watchers.py", line 142, in pre_process_request
}}}}

Attachments (0)

Change History (2)

comment:1 Changed 4 years ago by rjollos

  • Description modified (diff)

Tried to clean up description so we can figure out what is going on here.

comment:2 Changed 4 years ago by rjollos

  • Resolution set to worksforme
  • Status changed from new to closed

Since there is a new version available and this bug report is very old, it seems appropriate to close the ticket.

Add Comment

Modify Ticket

Action
as closed The owner will remain echo0101.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.